from django import forms
class ImportForm(forms.Form):
    file = forms.FileField(allow_empty_file=False)
    dry_run = forms.BooleanField(initial=True, required=False, help_text="Preview changes without saving")
class EntryForm(forms.Form):
    subject = forms.CharField(required=False, widget=forms.Textarea(attrs={"rows":2}))
    illustration = forms.CharField(required=False, widget=forms.Textarea(attrs={"rows":6}))
    application = forms.CharField(required=False, widget=forms.Textarea(attrs={"rows":6}))
    scripture_raw = forms.CharField(required=False, widget=forms.Textarea(attrs={"rows":2}))
    source = forms.CharField(required=False)
    talk_number = forms.IntegerField(required=False)
    talk_title = forms.CharField(required=False)
    entry_code = forms.CharField(required=False)
    date_added = forms.DateField(required=False, input_formats=["%Y-%m-%d","%Y/%m/%d"])
    date_edited = forms.DateField(required=False, input_formats=["%Y-%m-%d","%Y/%m/%d"])
